---
id: 1
createUser: addon:analyzer
createTime: 2024-01-14T13:45:41.652889194Z
effort: 10

issues: 
- id: 1
  createTime: 2024-01-14T13:45:41.660719685Z
  ruleset: eap8/eap7
  rule: javax-to-jakarta-import-00001
  name: ""
  description: javax.{renamed} has been replaced by jakarta.{renamed}
  category: mandatory
  effort: 1
  incidents:
  - id: 1
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
    line: 3
    message: 'Replace the `javax.servlet` import statement with `jakarta.servlet` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement;\n 2  \n 3  import javax.servlet.ServletContext;\n
      4  import javax.servlet.ServletException;\n 5  import javax.servlet.ServletRegistration;\n
      6  \n 7  import org.springframework.web.WebApplicationInitializer;\n 8  import
      org.springframework.web.context.ContextLoaderListener;\n 9  import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;\n10
      \ import org.springframework.web.servlet.DispatcherServlet;\n11  \n12  public
      class OrderManagementAppInitializer implements WebApplicationInitializer  {\n13
      \ "
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
      kind: Module
      name: javax.servlet.ServletContext
      package: io.konveyor.demo.ordermanagement
      renamed: servlet
  - id: 2
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
    line: 4
    message: 'Replace the `javax.servlet` import statement with `jakarta.servlet` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement;\n 2  \n 3  import javax.servlet.ServletContext;\n
      4  import javax.servlet.ServletException;\n 5  import javax.servlet.ServletRegistration;\n
      6  \n 7  import org.springframework.web.WebApplicationInitializer;\n 8  import
      org.springframework.web.context.ContextLoaderListener;\n 9  import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;\n10
      \ import org.springframework.web.servlet.DispatcherServlet;\n11  \n12  public
      class OrderManagementAppInitializer implements WebApplicationInitializer  {\n13
      \ \n14  \t@Override"
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
      kind: Module
      name: javax.servlet.ServletException
      package: io.konveyor.demo.ordermanagement
      renamed: servlet
  - id: 3
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
    line: 5
    message: 'Replace the `javax.servlet` import statement with `jakarta.servlet` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement;\n 2  \n 3  import javax.servlet.ServletContext;\n
      4  import javax.servlet.ServletException;\n 5  import javax.servlet.ServletRegistration;\n
      6  \n 7  import org.springframework.web.WebApplicationInitializer;\n 8  import
      org.springframework.web.context.ContextLoaderListener;\n 9  import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;\n10
      \ import org.springframework.web.servlet.DispatcherServlet;\n11  \n12  public
      class OrderManagementAppInitializer implements WebApplicationInitializer  {\n13
      \ \n14  \t@Override\n15  \tpublic void onStartup(ServletContext container) throws
      ServletException {"
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
      kind: Module
      name: javax.servlet.ServletRegistration
      package: io.konveyor.demo.ordermanagement
      renamed: servlet
  - id: 4
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
    line: 3
    message: 'Replace the `javax.persistence` import statement with `jakarta.persistence` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement.model;\n 2  \n 3  import
      javax.persistence.Column;\n 4  import javax.persistence.Entity;\n 5  import
      javax.persistence.GeneratedValue;\n 6  import javax.persistence.GenerationType;\n
      7  import javax.persistence.Id;\n 8  import javax.persistence.SequenceGenerator;\n
      9  import javax.persistence.Table;\n10  \n11  @Entity\n12  @Table(name = \"customers\")\n13
      \ public class Customer {"
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
      kind: Module
      name: javax.persistence.Column
      package: io.konveyor.demo.ordermanagement.model
      renamed: persistence
  - id: 5
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
    line: 4
    message: 'Replace the `javax.persistence` import statement with `jakarta.persistence` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement.model;\n 2  \n 3  import
      javax.persistence.Column;\n 4  import javax.persistence.Entity;\n 5  import
      javax.persistence.GeneratedValue;\n 6  import javax.persistence.GenerationType;\n
      7  import javax.persistence.Id;\n 8  import javax.persistence.SequenceGenerator;\n
      9  import javax.persistence.Table;\n10  \n11  @Entity\n12  @Table(name = \"customers\")\n13
      \ public class Customer {\n14  \t@Id"
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
      kind: Module
      name: javax.persistence.Entity
      package: io.konveyor.demo.ordermanagement.model
      renamed: persistence
  - id: 6
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
    line: 5
    message: 'Replace the `javax.persistence` import statement with `jakarta.persistence` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement.model;\n 2  \n 3  import
      javax.persistence.Column;\n 4  import javax.persistence.Entity;\n 5  import
      javax.persistence.GeneratedValue;\n 6  import javax.persistence.GenerationType;\n
      7  import javax.persistence.Id;\n 8  import javax.persistence.SequenceGenerator;\n
      9  import javax.persistence.Table;\n10  \n11  @Entity\n12  @Table(name = \"customers\")\n13
      \ public class Customer {\n14  \t@Id\n15      @SequenceGenerator("
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
      kind: Module
      name: javax.persistence.GeneratedValue
      package: io.konveyor.demo.ordermanagement.model
      renamed: persistence
  - id: 7
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
    line: 6
    message: 'Replace the `javax.persistence` import statement with `jakarta.persistence` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement.model;\n 2  \n 3  import
      javax.persistence.Column;\n 4  import javax.persistence.Entity;\n 5  import
      javax.persistence.GeneratedValue;\n 6  import javax.persistence.GenerationType;\n
      7  import javax.persistence.Id;\n 8  import javax.persistence.SequenceGenerator;\n
      9  import javax.persistence.Table;\n10  \n11  @Entity\n12  @Table(name = \"customers\")\n13
      \ public class Customer {\n14  \t@Id\n15      @SequenceGenerator(\n16              name
      = \"customersSequence\","
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
      kind: Module
      name: javax.persistence.GenerationType
      package: io.konveyor.demo.ordermanagement.model
      renamed: persistence
  - id: 8
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
    line: 7
    message: 'Replace the `javax.persistence` import statement with `jakarta.persistence` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement.model;\n 2  \n 3  import
      javax.persistence.Column;\n 4  import javax.persistence.Entity;\n 5  import
      javax.persistence.GeneratedValue;\n 6  import javax.persistence.GenerationType;\n
      7  import javax.persistence.Id;\n 8  import javax.persistence.SequenceGenerator;\n
      9  import javax.persistence.Table;\n10  \n11  @Entity\n12  @Table(name = \"customers\")\n13
      \ public class Customer {\n14  \t@Id\n15      @SequenceGenerator(\n16              name
      = \"customersSequence\",\n17              sequenceName = \"customers_id_seq\","
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
      kind: Module
      name: javax.persistence.Id
      package: io.konveyor.demo.ordermanagement.model
      renamed: persistence
  - id: 9
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
    line: 8
    message: 'Replace the `javax.persistence` import statement with `jakarta.persistence` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement.model;\n 2  \n 3  import
      javax.persistence.Column;\n 4  import javax.persistence.Entity;\n 5  import
      javax.persistence.GeneratedValue;\n 6  import javax.persistence.GenerationType;\n
      7  import javax.persistence.Id;\n 8  import javax.persistence.SequenceGenerator;\n
      9  import javax.persistence.Table;\n10  \n11  @Entity\n12  @Table(name = \"customers\")\n13
      \ public class Customer {\n14  \t@Id\n15      @SequenceGenerator(\n16              name
      = \"customersSequence\",\n17              sequenceName = \"customers_id_seq\",\n18
      \             allocationSize = 1,"
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
      kind: Module
      name: javax.persistence.SequenceGenerator
      package: io.konveyor.demo.ordermanagement.model
      renamed: persistence
  - id: 10
    createTime: 2024-01-14T13:45:41.666853528Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
    line: 9
    message: 'Replace the `javax.persistence` import statement with `jakarta.persistence` '
    codeSnip: " 1  package io.konveyor.demo.ordermanagement.model;\n 2  \n 3  import
      javax.persistence.Column;\n 4  import javax.persistence.Entity;\n 5  import
      javax.persistence.GeneratedValue;\n 6  import javax.persistence.GenerationType;\n
      7  import javax.persistence.Id;\n 8  import javax.persistence.SequenceGenerator;\n
      9  import javax.persistence.Table;\n10  \n11  @Entity\n12  @Table(name = \"customers\")\n13
      \ public class Customer {\n14  \t@Id\n15      @SequenceGenerator(\n16              name
      = \"customersSequence\",\n17              sequenceName = \"customers_id_seq\",\n18
      \             allocationSize = 1,\n19              initialValue = 6)"
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/model/Customer.java
      kind: Module
      name: javax.persistence.Table
      package: io.konveyor.demo.ordermanagement.model
      renamed: persistence
  labels:
  - konveyor.io/source
  - konveyor.io/target=eap
  - konveyor.io/target=eap8
  - konveyor.io/target=jakarta-ee
  - konveyor.io/target=jakarta-ee9+
- id: 2
  createTime: 2024-01-14T13:45:41.669728789Z
  ruleset: technology-usage
  rule: javaee-technology-usage-00120
  name: ""
  description: Java Servlet
  category: potential
  incidents:
  - id: 11
    createTime: 2024-01-14T13:45:41.67572856Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
    line: 3
    message: The application uses Java Servlets
    codeSnip: " 1  package io.konveyor.demo.ordermanagement;\n 2  \n 3  import javax.servlet.ServletContext;\n
      4  import javax.servlet.ServletException;\n 5  import javax.servlet.ServletRegistration;\n
      6  \n 7  import org.springframework.web.WebApplicationInitializer;\n 8  import
      org.springframework.web.context.ContextLoaderListener;\n 9  import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;\n10
      \ import org.springframework.web.servlet.DispatcherServlet;\n11  \n12  public
      class OrderManagementAppInitializer implements WebApplicationInitializer  {\n13
      \ "
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
      kind: Module
      name: javax.servlet.ServletContext
      package: io.konveyor.demo.ordermanagement
  - id: 12
    createTime: 2024-01-14T13:45:41.67572856Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
    line: 4
    message: The application uses Java Servlets
    codeSnip: " 1  package io.konveyor.demo.ordermanagement;\n 2  \n 3  import javax.servlet.ServletContext;\n
      4  import javax.servlet.ServletException;\n 5  import javax.servlet.ServletRegistration;\n
      6  \n 7  import org.springframework.web.WebApplicationInitializer;\n 8  import
      org.springframework.web.context.ContextLoaderListener;\n 9  import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;\n10
      \ import org.springframework.web.servlet.DispatcherServlet;\n11  \n12  public
      class OrderManagementAppInitializer implements WebApplicationInitializer  {\n13
      \ \n14  \t@Override"
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
      kind: Module
      name: javax.servlet.ServletException
      package: io.konveyor.demo.ordermanagement
  - id: 13
    createTime: 2024-01-14T13:45:41.67572856Z
    file: /addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
    line: 5
    message: The application uses Java Servlets
    codeSnip: " 1  package io.konveyor.demo.ordermanagement;\n 2  \n 3  import javax.servlet.ServletContext;\n
      4  import javax.servlet.ServletException;\n 5  import javax.servlet.ServletRegistration;\n
      6  \n 7  import org.springframework.web.WebApplicationInitializer;\n 8  import
      org.springframework.web.context.ContextLoaderListener;\n 9  import org.springframework.web.context.support.AnnotationConfigWebApplicationContext;\n10
      \ import org.springframework.web.servlet.DispatcherServlet;\n11  \n12  public
      class OrderManagementAppInitializer implements WebApplicationInitializer  {\n13
      \ \n14  \t@Override\n15  \tpublic void onStartup(ServletContext container) throws
      ServletException {"
    facts:
      file: file:///addon/source/tackle-testapp-public/src/main/java/io/konveyor/demo/ordermanagement/OrderManagementAppInitializer.java
      kind: Module
      name: javax.servlet.ServletRegistration
      package: io.konveyor.demo.ordermanagement
  labels:
  - konveyor.io/include=always

dependencies: 
- id: 1
  createTime: 2024-01-14T13:45:41.678059199Z
  provider: java
  name: org.springframework.data.spring-data-bom
  version: 2021.0.1
- id: 2
  createTime: 2024-01-14T13:45:41.686604902Z
  provider: java
  name: org.springframework.boot.spring-boot-starter-actuator
  version: 2.5.0
- id: 3
  createTime: 2024-01-14T13:45:41.694743812Z
  provider: java
  name: org.postgresql.postgresql
  version: 42.2.23
- id: 4
  createTime: 2024-01-14T13:45:41.703042642Z
  provider: java
  name: org.hibernate.validator.hibernate-validator
  version: 6.2.0.Final
- id: 5
  createTime: 2024-01-14T13:45:41.711680289Z
  provider: java
  name: org.hibernate.hibernate-entitymanager
  version: 5.4.32.Final
- id: 6
  createTime: 2024-01-14T13:45:41.720160029Z
  provider: java
  name: org.springframework.spring-web
  version: 5.3.7
- id: 7
  createTime: 2024-01-14T13:45:41.727999786Z
  provider: java
  name: org.apache.tomcat.tomcat-jdbc
  version: 9.0.46
- id: 8
  createTime: 2024-01-14T13:45:41.735728776Z
  provider: java
  name: io.konveyor.demo.configuration-utils
  version: 1.0.0
- id: 9
  createTime: 2024-01-14T13:45:41.743716942Z
  provider: java
  name: com.oracle.database.jdbc.ojdbc11
  version: 21.1.0.0
- id: 10
  createTime: 2024-01-14T13:45:41.750847587Z
  provider: java
  name: com.h2database.h2
  version: 2.1.214
- id: 11
  createTime: 2024-01-14T13:45:41.757311411Z
  provider: java
  name: com.fasterxml.jackson.jackson-bom
  version: 2.12.3
- id: 12
  createTime: 2024-01-14T13:45:41.763753814Z
  provider: java
  name: org.springframework.spring-jdbc
  version: 5.3.7
- id: 13
  createTime: 2024-01-14T13:45:41.770143897Z
  provider: java
  name: org.springframework.spring-webmvc
  version: 5.3.7
- id: 14
  createTime: 2024-01-14T13:45:41.776591179Z
  provider: java
  name: ch.qos.logback.logback-classic
  version: 1.1.7
- id: 15
  createTime: 2024-01-14T13:45:41.783375574Z
  provider: java
  name: org.apache.tomcat.tomcat-servlet-api
  version: 9.0.46
